# DataRepeaterItemValueEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ItemValueNeeded](/api/wisej.web/containers/datarepeater.md#itemvalueneeded) and [ItemValuePushed](/api/wisej.web/containers/datarepeater.md#itemvaluepushed) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataRepeaterItemValueEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataRepeaterItemValueEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataRepeaterItemValueEventArgs(itemIndex, control, propertyName, value)

Initializes a new instance of the [DataRepeaterItemValueEventArgs](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritemvalueeventargs.md) class.

| Name             | Type                                                          | Description                                                                                                                                                    |
| ---------------- | ------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **itemIndex**    | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   | The index of the [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) that contains the control that is raising the event. |
| **control**      | [Control](/api/wisej.web/general/control.md)                  | The child control that is raising the event.                                                                                                                   |
| **propertyName** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The property of the control that has changed or that needs data.                                                                                               |
| **value**        | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The property value that has changed.                                                                                                                           |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Control

[Control](/api/wisej.web/general/control.md): Gets the child control of a [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) that is raising the [ItemValueNeeded](/api/wisej.web/containers/datarepeater.md#itemvalueneeded) or [ItemValuePushed](/api/wisej.web/containers/datarepeater.md#itemvaluepushed) event.

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Gets the index of the [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) that contains the control that is raising the [ItemValueNeeded](/api/wisej.web/containers/datarepeater.md#itemvalueneeded) or [ItemValuePushed](/api/wisej.web/containers/datarepeater.md#itemvaluepushed) event.

### ![](/files/hsR4ok3152WyAf8J2C1u) PropertyName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the name of the data-bound property of the control that is raising a [ItemValueNeeded](/api/wisej.web/containers/datarepeater.md#itemvalueneeded) or [ItemValuePushed](/api/wisej.web/containers/datarepeater.md#itemvaluepushed) event.

### ![](/files/hsR4ok3152WyAf8J2C1u) Value

[Object](https://docs.microsoft.com/dotnet/api/system.object): Gets the property value that has changed to raise a [ItemValueNeeded](/api/wisej.web/containers/datarepeater.md#itemvalueneeded) or [ItemValuePushed](/api/wisej.web/containers/datarepeater.md#itemvaluepushed) event.

## Used By

| Name                                                                                                                       | Description                                                                                                                                                                                                      |
| -------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataRepeaterItemValueEventHandler](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritemvalueeventhandler.md) | Represents the method that will handle the [ItemValueNeeded](/api/wisej.web/containers/datarepeater.md#itemvalueneeded) and [ItemValuePushed](/api/wisej.web/containers/datarepeater.md#itemvaluepushed) events. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritemvalueeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
